/*
 * Copyright (c) 2021, orioc and/or its affiliates. All rights reserved.
 * Use, Copy is subject to authorized license.
 */
 package com.bonus.sharedstation.web.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.bonus.common.core.web.domain.AjaxResult;
import com.bonus.sharedstation.app.domain.TherapyAppointments;
import com.bonus.sharedstation.web.domain.NoticeInfo;
import com.bonus.sharedstation.web.dto.NoticeInfoDTO;

/**
 * 急救知识 Service
 *
 * @author zhh
 * @date 2024-11-15
 */
public interface INoticeInfoService extends IService<NoticeInfo> {
    /**
     * 公告新增
     * @return 操作影响行数
     */
    AjaxResult insert(NoticeInfo noticeInfo);

    /**
     * 更新
     */
    AjaxResult updateInfoById(NoticeInfo firstAidInfo);

    /**
     * 删除急救知识
     * @param firstAidInfoDTO firstAidInfoDTO
     * @return 操作影响行数
     */
    AjaxResult delete(NoticeInfoDTO firstAidInfoDTO);

    AjaxResult selectAll(NoticeInfoDTO firstAidInfoDTO);

    /**
     * 详情
     * @param firstAidInfoDTO firstAidInfoDTO
     * @return  AjaxResult
     */
    AjaxResult selectInfoById(NoticeInfoDTO firstAidInfoDTO);

    AjaxResult selectDirCode(TherapyAppointments dto);
}
